Print

Print


On Jul 16, 2011, at 1:17 AM, Stephen Beitzel wrote:

> It seems the new code requires a different version of jfreechart.

Yeah. I think somewhere on the archives we discussed that when we had  
to make the change on SVN.

> Should the libraries tarball be updated to include jfreechart-1.0.13
> (which is the latest available from SourceForge), as well as its
> updated dependencies (iText has gone from 1.2 to 2.15, jcommon from
> 1.0.1 to 1.0.16, etc.)?

Not yet: it'd make the libraries incompatible with the current MASON  
code on the website.  Unfortunately JFreeChart's revised libraries are  
neither forward nor backward compatible.  When we update to a new  
tarball (soon I hope -- I'm still in Dublin) we'll update the  
libraries too.

In the meantime, you can get the revised libraries here if you're  
doing stuff off of SVN:

http://cs.gmu.edu/~sean/temp/itext-1.2.jar
http://cs.gmu.edu/~sean/temp/jfreechart-1.0.13.jar
http://cs.gmu.edu/~sean/temp/jcommon-1.0.16.jar

I _think_ those are the only updated libraries needed.

Sean